apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  creationTimestamp: "2022-06-06T12:15:56Z"
  generation: 1
  labels:
    app: jaeger
    app.kubernetes.io/component: elasticsearch
    app.kubernetes.io/instance: test
    app.kubernetes.io/name: elasticsearch
    app.kubernetes.io/part-of: jaeger
    cluster-name: elasticsearch
    scrape-metrics: enabled
  name: monitor-elasticsearch-cluster
  namespace: iwtest3
  ownerReferences:
  - apiVersion: logging.openshift.io/v1
    controller: true
    kind: Elasticsearch
    name: elasticsearch
    uid: ffd6676d-4ffb-45b3-98b4-9745479106be
  resourceVersion: "3109283718"
  uid: d2fd371b-8ce0-4735-9c2f-929cb054a9a1
spec:
  endpoints:
  - bearerTokenFile: /var/run/secrets/kubernetes.io/serviceaccount/token
    bearerTokenSecret:
      key: ""
    path: /metrics
    port: elasticsearch
    scheme: https
    tlsConfig:
      ca: {}
      caFile: /etc/prometheus/configmaps/serving-certs-ca-bundle/service-ca.crt
      cert: {}
      serverName: elasticsearch-metrics.iwtest3.svc
  - bearerTokenFile: /var/run/secrets/kubernetes.io/serviceaccount/token
    bearerTokenSecret:
      key: ""
    path: /_prometheus/metrics
    port: elasticsearch
    scheme: https
    tlsConfig:
      ca: {}
      caFile: /etc/prometheus/configmaps/serving-certs-ca-bundle/service-ca.crt
      cert: {}
      serverName: elasticsearch-metrics.iwtest3.svc
  jobLabel: monitor-elasticsearch
  namespaceSelector:
    matchNames:
    - iwtest3
  selector:
    matchLabels:
      app: jaeger
      app.kubernetes.io/component: elasticsearch
      app.kubernetes.io/instance: test
      app.kubernetes.io/name: elasticsearch
      app.kubernetes.io/part-of: jaeger
      cluster-name: elasticsearch
      scrape-metrics: enabled
